Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfSigGenericPKCS.VeriSign

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfSignature
                  com.lowagie.text.pdf.PdfSigGenericPKCS
                      com.lowagie.text.pdf.PdfSigGenericPKCS.VeriSign

Enclosing class:
  PdfSigGenericPKCS

    public static class PdfSigGenericPKCS.VeriSign

extends PdfSigGenericPKCS

Creates a standard filter of the type VeriSign.

Nested Class Summary

Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfSigGenericPKCS
`PdfSigGenericPKCS.PPKLite, PdfSigGenericPKCS.PPKMS, PdfSigGenericPKCS.VeriSign`

Field Summary

Fields inherited from class com.lowagie.text.pdf.PdfSigGenericPKCS
`hashAlgorithm, name, pkcs, provider`

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfSigGenericPKCS.VeriSign()` The constructor for the default provider.
`PdfSigGenericPKCS.VeriSign(String provider)` The constructor for an explicit provider.

Method Summary

Methods inherited from class com.lowagie.text.pdf.PdfSigGenericPKCS
`getName, getSigner, getSignerContents, setExternalDigest, setSignInfo`

Methods inherited from class com.lowagie.text.pdf.PdfSignature
`setByteRange, setCert, setContact, setContents, setDate, setLocation, setName, setReason`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfSigGenericPKCS.VeriSign

    public PdfSigGenericPKCS.VeriSign()

  The constructor for the default provider.

### PdfSigGenericPKCS.VeriSign

    public PdfSigGenericPKCS.VeriSign(String provider)

  The constructor for an explicit provider.

  Parameters:
    `provider` - the crypto provider

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD